import React from 'react';
import { ComponentStory, ComponentMeta } from '@storybook/react';
import { Viewer } from './Viewer';

// More on default export: https://storybook.js.org/docs/react/writing-stories/introduction#default-export
export default {
  title: 'Example/Viewer',
  component: Viewer,
  // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
  argTypes: {
    backgroundColor: { control: 'color' },
  },
} as ComponentMeta<typeof Viewer>;

// More on component templates: https://storybook.js.org/docs/react/writing-stories/introduction#using-args
const Template: ComponentStory<typeof Viewer> = (args) => <Viewer {...args} />;

export const Primary = Template.bind({});
// More on args: https://storybook.js.org/docs/react/writing-stories/args
Primary.args = {
  primary: true,
  label: 'Viewer',
};

export const Secondary = Template.bind({});
Secondary.args = {
  label: 'Viewer',
};

export const Large = Template.bind({});
Large.args = {
  size: 'large',
  label: 'Viewer',
};

export const Small = Template.bind({});
Small.args = {
  size: 'small',
  label: 'Viewer',
};
